CREATE TABLE asm_cfg_packages_b (
    CFG_PACKAGE_ID                NUMBER(18, 0),
    PREDEF_CFG_PACKAGE_ID         NUMBER(18, 0),
    CONTENT_TYPE                  VARCHAR2(120)    NOT NULL,
    CFG_PACKAGE_FILE              BLOB         ,
    CFG_PACKAGE_SHORT_NAME        VARCHAR2(120)    NOT NULL,
    IMPL_PROJECT_ID               NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    FEATURE_CFG_PACKAGE_ID        NUMBER(18, 0),
    CREATED_BY_FLOW               VARCHAR2(120),
    INCLUDE_EXTERNAL_DATA_FLAG    VARCHAR2(4)  ,
    INCLUDE_EXPIRED_DATA_FLAG     VARCHAR2(4)  ,
    INCLUDE_CHANGED_DATA_SINCE    TIMESTAMP(6) ,
    CFG_PACKAGE_ID                NUMBER(18, 0),
    PREDEF_CFG_PACKAGE_ID         NUMBER(18, 0),
    CONTENT_TYPE                  VARCHAR2(120)    NOT NULL,
    CFG_PACKAGE_FILE              BLOB         ,
    CFG_PACKAGE_SHORT_NAME        VARCHAR2(120)    NOT NULL,
    IMPL_PROJECT_ID               NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    FEATURE_CFG_PACKAGE_ID        NUMBER(18, 0),
    CREATED_BY_FLOW               VARCHAR2(120),
    INCLUDE_EXTERNAL_DATA_FLAG    VARCHAR2(4)  ,
    INCLUDE_EXPIRED_DATA_FLAG     VARCHAR2(4)  ,
    INCLUDE_CHANGED_DATA_SINCE    TIMESTAMP(6) ,
    CONSTRAINT pk_asm_cfg_packages_b PRIMARY KEY (CFG_PACKAGE_ID, CFG_PACKAGE_ID)
);
